Page MenuHomePhabricator

[ARM][AArch64] Adding Neoverse N2 CPU support
ClosedPublic

Authored by MarkMurrayARM on Nov 18 2020, 2:54 AM.

Details

Summary

Add support for the Neoverse N2 CPU to the ARM and AArch64 backends.

Diff Detail

Event Timeline

MarkMurrayARM created this revision.Nov 18 2020, 2:54 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptNov 18 2020, 2:54 AM
MarkMurrayARM requested review of this revision.Nov 18 2020, 2:54 AM

Can you add the cpuid to host.cpp too?

llvm/include/llvm/Support/AArch64TargetParser.def
154

The lines are getting a little long here.

Does it need things like DOTPROD, if it's already 8.5?

llvm/include/llvm/Support/ARMTargetParser.def
304

Formatting

llvm/unittests/Support/TargetParserTest.cpp
999

There should be tests like this, I think. Same for ARM below.

Address reviewer comments.

Address review comment.

In the first version N2 had FeatureTME. Did you remove that on purpose?

In the first version N2 had FeatureTME. Did you remove that on purpose?

Yes.

Address more review comments.

MarkMurrayARM marked 3 inline comments as done.Nov 19 2020, 5:00 AM
tschuett added inline comments.Nov 19 2020, 5:04 AM
llvm/lib/Target/AArch64/AArch64.td
914

SVE2 Bitperm is missing?

Address reviewer comment.

MarkMurrayARM marked an inline comment as done.Nov 19 2020, 7:16 AM
dmgreen accepted this revision.Nov 23 2020, 8:09 AM

Thanks for the changes. From what I can tell, this LGTM.

This revision is now accepted and ready to land.Nov 23 2020, 8:09 AM
This revision was landed with ongoing or failed builds.Nov 25 2020, 3:45 AM
This revision was automatically updated to reflect the committed changes.